Subject: Re: bug#12310: crash in remember_mouse_glyph

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Sep 2012 19:40:48 +0300

> Date: Wed, 05 Sep 2012 06:42:24 +0200 (CEST)
> From: Werner LEMBERG <[email-masked]>
> Cc: [email-masked]
> 
> 
> Just now I've got a crash, but I'm not sure whether it belongs to this
> bug report.  Since I'm using Martin's patch, I'm reporting it here.
> 
> The crash happened after composing an email with mew, then trying to
> send it with C-c C-c.
> 
> I still have the process.  Anything else I can investigate?

Yes, please.  We need to understand why it segfaulted.

> Program received signal SIGSEGV, Segmentation fault.
> set_buffer_internal_1 (b=0x846958d) at buffer.c:2154
> 2154        bset_undo_list (b, BVAR (b->base_buffer, undo_list));
> 
> (gdb) p b
> $1 = (struct buffer *) 0x846958d
> 
> (gdb) p b->base_buffer
> $2 = (struct buffer *) 0x98000000

What does the following show?

 (gdb) p *b->base_buffer

> (gdb) p undo_list
> No symbol "undo_list" in current context.

undo_list is a name of a struct member, not a variable.

Thanks.